public static interface HazelcastTopicEndpointBuilderFactory.HazelcastTopicBuilders
| Modifier and Type | Method and Description |
|---|---|
default HazelcastTopicEndpointBuilderFactory.HazelcastTopicEndpointBuilder |
hazelcastTopic(String path)
Hazelcast Topic (camel-hazelcast)
Send and receive messages to/from Hazelcast distributed topic.
|
default HazelcastTopicEndpointBuilderFactory.HazelcastTopicEndpointBuilder |
hazelcastTopic(String componentName,
String path)
Hazelcast Topic (camel-hazelcast)
Send and receive messages to/from Hazelcast distributed topic.
|
default HazelcastTopicEndpointBuilderFactory.HazelcastTopicEndpointBuilder hazelcastTopic(String path)
hazelcast-topic:cacheName
Path parameter: cacheName (required)
The name of the cachepath - cacheNamedefault HazelcastTopicEndpointBuilderFactory.HazelcastTopicEndpointBuilder hazelcastTopic(String componentName, String path)
hazelcast-topic:cacheName
Path parameter: cacheName (required)
The name of the cachecomponentName - to use a custom component name for the endpoint
instead of the default namepath - cacheNameApache Camel